ApiReplicationCommand (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiReplicationCommand

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiReplicationCommand

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiReplicationCommand
      extends Object

  Information about a replication command. <p/> This object holds all the information a regular ApiCommand object provides, and adds specific information about the results of a replication command. <p/> Depending on the type of the service where the replication was run, a different result property will be populated.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiReplicationCommand()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiReplicationCommand` | `active(Boolean active)`
    `ApiReplicationCommand` | `canRetry(Boolean canRetry)`
    `ApiReplicationCommand` | `children(ApiCommandList children)`
    `ApiReplicationCommand` | `clusterRef(ApiClusterRef clusterRef)`
    `ApiReplicationCommand` | `endTime(String endTime)`
    `boolean` | `equals(Object o)`
    `Boolean` | `getActive()` Whether the command is currently active.
    `Boolean` | `getCanRetry()` If the command can be retried.
    `ApiCommandList` | `getChildren()` List of child commands.
    `ApiClusterRef` | `getClusterRef()` Reference to the cluster (for cluster commands only).
    `String` | `getEndTime()` The end time, if the command is finished.
    `ApiHBaseReplicationInfo` | `getHbaseInfo()`
    `ApiHdfsReplicationResult` | `getHdfsResult()` Results for replication commands on HDFS services.
    `ApiHiveOnTezReplicationResult` | `getHiveOnTezResult()` Results for replication commands on HiveOnTez services.
    `ApiHiveReplicationResult` | `getHiveResult()` Results for replication commands on Hive services.
    `ApiHostRef` | `getHostRef()` Reference to the host (for host commands only).
    `BigDecimal` | `getId()` The command ID.
    `String` | `getName()` The command name.
    `ApiOzoneReplicationResult` | `getOzoneResult()` Results for replication commands on OZONE services.
    `ApiCommand` | `getParent()` Reference to the parent command, if any.
    `String` | `getResultDataUrl()` URL to the command's downloadable result data, if any exists.
    `String` | `getResultMessage()` If the command is finished, the result message.
    `ApiRoleRef` | `getRoleRef()` Reference to the role (for role commands only).
    `ApiServiceRef` | `getServiceRef()` Reference to the service (for service commands only).
    `String` | `getStartTime()` The start time.
    `Boolean` | `getSuccess()` If the command is finished, whether it was successful.
    `int` | `hashCode()`
    `ApiReplicationCommand` | `hbaseInfo(ApiHBaseReplicationInfo hbaseInfo)`
    `ApiReplicationCommand` | `hdfsResult(ApiHdfsReplicationResult hdfsResult)`
    `ApiReplicationCommand` | `hiveOnTezResult(ApiHiveOnTezReplicationResult hiveOnTezResult)`
    `ApiReplicationCommand` | `hiveResult(ApiHiveReplicationResult hiveResult)`
    `ApiReplicationCommand` | `hostRef(ApiHostRef hostRef)`
    `ApiReplicationCommand` | `id(BigDecimal id)`
    `ApiReplicationCommand` | `name(String name)`
    `ApiReplicationCommand` | `ozoneResult(ApiOzoneReplicationResult ozoneResult)`
    `ApiReplicationCommand` | `parent(ApiCommand parent)`
    `ApiReplicationCommand` | `resultDataUrl(String resultDataUrl)`
    `ApiReplicationCommand` | `resultMessage(String resultMessage)`
    `ApiReplicationCommand` | `roleRef(ApiRoleRef roleRef)`
    `ApiReplicationCommand` | `serviceRef(ApiServiceRef serviceRef)`
    `void` | `setActive(Boolean active)`
    `void` | `setCanRetry(Boolean canRetry)`
    `void` | `setChildren(ApiCommandList children)`
    `void` | `setClusterRef(ApiClusterRef clusterRef)`
    `void` | `setEndTime(String endTime)`
    `void` | `setHbaseInfo(ApiHBaseReplicationInfo hbaseInfo)`
    `void` | `setHdfsResult(ApiHdfsReplicationResult hdfsResult)`
    `void` | `setHiveOnTezResult(ApiHiveOnTezReplicationResult hiveOnTezResult)`
    `void` | `setHiveResult(ApiHiveReplicationResult hiveResult)`
    `void` | `setHostRef(ApiHostRef hostRef)`
    `void` | `setId(BigDecimal id)`
    `void` | `setName(String name)`
    `void` | `setOzoneResult(ApiOzoneReplicationResult ozoneResult)`
    `void` | `setParent(ApiCommand parent)`
    `void` | `setResultDataUrl(String resultDataUrl)`
    `void` | `setResultMessage(String resultMessage)`
    `void` | `setRoleRef(ApiRoleRef roleRef)`
    `void` | `setServiceRef(ApiServiceRef serviceRef)`
    `void` | `setStartTime(String startTime)`
    `void` | `setSuccess(Boolean success)`
    `ApiReplicationCommand` | `startTime(String startTime)`
    `ApiReplicationCommand` | `success(Boolean success)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiReplicationCommand

          public ApiReplicationCommand()

  - ### Method Detail

    - #### id

          public ApiReplicationCommand id(BigDecimal id)

    - #### getId

          public BigDecimal getId()

      The command ID.
      Returns:
        id

    - #### setId

          public void setId(BigDecimal id)

    - #### name

          public ApiReplicationCommand name(String name)

    - #### getName

          public String getName()

      The command name.
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### startTime

          public ApiReplicationCommand startTime(String startTime)

    - #### getStartTime

          public String getStartTime()

      The start time.
      Returns:
        startTime

    - #### setStartTime

          public void setStartTime(String startTime)

    - #### endTime

          public ApiReplicationCommand endTime(String endTime)

    - #### getEndTime

          public String getEndTime()

      The end time, if the command is finished.
      Returns:
        endTime

    - #### setEndTime

          public void setEndTime(String endTime)

    - #### active

          public ApiReplicationCommand active(Boolean active)

    - #### getActive

          public Boolean getActive()

      Whether the command is currently active.
      Returns:
        active

    - #### setActive

          public void setActive(Boolean active)

    - #### success

          public ApiReplicationCommand success(Boolean success)

    - #### getSuccess

          public Boolean getSuccess()

      If the command is finished, whether it was successful.
      Returns:
        success

    - #### setSuccess

          public void setSuccess(Boolean success)

    - #### resultMessage

          public ApiReplicationCommand resultMessage(String resultMessage)

    - #### getResultMessage

          public String getResultMessage()

      If the command is finished, the result message.
      Returns:
        resultMessage

    - #### setResultMessage

          public void setResultMessage(String resultMessage)

    - #### resultDataUrl

          public ApiReplicationCommand resultDataUrl(String resultDataUrl)

    - #### getResultDataUrl

          public String getResultDataUrl()

      URL to the command's downloadable result data, if any exists.
      Returns:
        resultDataUrl

    - #### setResultDataUrl

          public void setResultDataUrl(String resultDataUrl)

    - #### clusterRef

          public ApiReplicationCommand clusterRef(ApiClusterRef clusterRef)

    - #### getClusterRef

          public ApiClusterRef getClusterRef()

      Reference to the cluster (for cluster commands only).
      Returns:
        clusterRef

    - #### setClusterRef

          public void setClusterRef(ApiClusterRef clusterRef)

    - #### serviceRef

          public ApiReplicationCommand serviceRef(ApiServiceRef serviceRef)

    - #### getServiceRef

          public ApiServiceRef getServiceRef()

      Reference to the service (for service commands only).
      Returns:
        serviceRef

    - #### setServiceRef

          public void setServiceRef(ApiServiceRef serviceRef)

    - #### roleRef

          public ApiReplicationCommand roleRef(ApiRoleRef roleRef)

    - #### getRoleRef

          public ApiRoleRef getRoleRef()

      Reference to the role (for role commands only).
      Returns:
        roleRef

    - #### setRoleRef

          public void setRoleRef(ApiRoleRef roleRef)

    - #### hostRef

          public ApiReplicationCommand hostRef(ApiHostRef hostRef)

    - #### getHostRef

          public ApiHostRef getHostRef()

      Reference to the host (for host commands only).
      Returns:
        hostRef

    - #### setHostRef

          public void setHostRef(ApiHostRef hostRef)

    - #### parent

          public ApiReplicationCommand parent(ApiCommand parent)

    - #### getParent

          public ApiCommand getParent()

      Reference to the parent command, if any.
      Returns:
        parent

    - #### setParent

          public void setParent(ApiCommand parent)

    - #### children

          public ApiReplicationCommand children(ApiCommandList children)

    - #### getChildren

          public ApiCommandList getChildren()

      List of child commands. Only available in the full view. <p> The list contains only the summary view of the children.
      Returns:
        children

    - #### setChildren

          public void setChildren(ApiCommandList children)

    - #### canRetry

          public ApiReplicationCommand canRetry(Boolean canRetry)

    - #### getCanRetry

          public Boolean getCanRetry()

      If the command can be retried. Available since V11
      Returns:
        canRetry

    - #### setCanRetry

          public void setCanRetry(Boolean canRetry)

    - #### hdfsResult

          public ApiReplicationCommand hdfsResult(ApiHdfsReplicationResult hdfsResult)

    - #### getHdfsResult

          public ApiHdfsReplicationResult getHdfsResult()

      Results for replication commands on HDFS services.
      Returns:
        hdfsResult

    - #### setHdfsResult

          public void setHdfsResult(ApiHdfsReplicationResult hdfsResult)

    - #### ozoneResult

          public ApiReplicationCommand ozoneResult(ApiOzoneReplicationResult ozoneResult)

    - #### getOzoneResult

          public ApiOzoneReplicationResult getOzoneResult()

      Results for replication commands on OZONE services.
      Returns:
        ozoneResult

    - #### setOzoneResult

          public void setOzoneResult(ApiOzoneReplicationResult ozoneResult)

    - #### hiveResult

          public ApiReplicationCommand hiveResult(ApiHiveReplicationResult hiveResult)

    - #### getHiveResult

          public ApiHiveReplicationResult getHiveResult()

      Results for replication commands on Hive services.
      Returns:
        hiveResult

    - #### setHiveResult

          public void setHiveResult(ApiHiveReplicationResult hiveResult)

    - #### hiveOnTezResult

          public ApiReplicationCommand hiveOnTezResult(ApiHiveOnTezReplicationResult hiveOnTezResult)

    - #### getHiveOnTezResult

          public ApiHiveOnTezReplicationResult getHiveOnTezResult()

      Results for replication commands on HiveOnTez services.
      Returns:
        hiveOnTezResult

    - #### setHiveOnTezResult

          public void setHiveOnTezResult(ApiHiveOnTezReplicationResult hiveOnTezResult)

    - #### hbaseInfo

          public ApiReplicationCommand hbaseInfo(ApiHBaseReplicationInfo hbaseInfo)

    - #### getHbaseInfo

          public ApiHBaseReplicationInfo getHbaseInfo()

      Returns:
        hbaseInfo

    - #### setHbaseInfo

          public void setHbaseInfo(ApiHBaseReplicationInfo hbaseInfo)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.